Subject: bug#22768: Crash safety

From: Antonio Diaz Diaz <[email-masked]>
Date: Thu, 03 Mar 2016 14:08:09 +0100

Paul Eggert wrote:
> You may well be right that eventually file system designers will figure 
> this stuff out so that well-written POSIX applications will not lose 
> data even if they don't use fsync/fdatasync. However, if FSCQ is any 
> indication, we're many years away from that. In the meantime 
> fsync/fdatasync is all we have.

Thanks for the explanation. I have already started the last round of 
release candidates of the lzip family, but just after releasing 
lzip-1.18, in a month or so, i'll implement --synchronous in a way 
compatible with what you implement in gzip.

Best regards,
Antonio.